extrude in lisp

hi guys. long time, no type. been coding quietly to myself, and recovering from giving up a kidney to the kind surgeon.....
I grow tired of drawing house plan elevations in 2d when the floor plan has very many wings drawn at an angle. like 45 seems to be quite popular right now....
I should draw ONCE in 3d and simply view at the angles.
already have the code to draw doors and windows my way in plan and elevation. with a little tweaking it seems that I should be able to go 3d. well, a hell of a lot of tweaking, but don't tell the boss. I'll do it on MY time.
quick question whilst I am still imagining how to proceed. is there a method to create a 3d object from point data without using "command"?
like, when I do a poly line I
(entmake (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 8 "deck") (cons 100 "AcDbPolyline") (cons 90 4) (cons 70 1) (cons 43 0) (cons 38 0) (cons 39 0) (cons 10 a) (cons 40 0) (cons 41 0) (cons 42 0) (cons 10 b) (cons 40 0) (cons 41 0) (cons 42 0) (cons 10 c) (cons 40 0) (cons 41 0) (cons 42 0) (cons 10 d) (cons 40 0) (cons 41 0) (cons 42 0) ) ) )
I want to be able to input my point data graphically, or manually type it, and have the routine create and manipulate the primitive solids. or am I just whistlin' Dixie?
thanks,
roy
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.